XvSelectPortNotify(3X) |  | XvSelectPortNotify(3X)

# Name

XvSelectPortNotify - enable or disable XvPortNotify(3X) events

# Syntax

#include <X11/extensions/Xvlib.h>
XvSelectPortNotify(dpy, port, onoff)
Display *dpy;
XvPortID port;
Bool onoff;

# Arguments

dpy
  Specifies the display screen on which the X Server is to accept requests from X clients. If the display option is not specified, X uses the display screen specified by your DISPLAY environment variable. The display option has the format hostname:number. Using two colons (::) instead of one (:) indicates that DECnet is to be used for transport.

port
  Specifies the port for which PortNotify events are to be generated when its attributes are changed using XvSetPortAttribute(3X).

onoff
  Specifies whether notification is to be enabled or disabled.

# Description

XvSelectPortNotify(3X) enables or disables PortNotify event delivery to the requesting client. XvPortNotify(3X) events are generated when port attributes are changed using XvSetPortAttribute(3X).

# Returned Values

[Success]
  Returned if XvSelectPortNotify(3X) completed successfully.

[XvBadExtension]
  Returned if the Xv extension is unavailable.

[XvBadAlloc]
  Returned if XvSelectPortNotify(3X) failed to allocate memory to process the request.

# Diagnostics

[XvBadPort]
  Generated if the requested port does not exist.

# See Also

XvSetPortNotify(3X), XvSetPortAttribute(3X), XvPortNotify(3X)

XFree86 | 4.5.0